
Foreman - Feature #3779

Expose console access through the API

11/28/2013 02:11 PM - Ewoud Kohl van Wijngaarden

Status: New   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As a user I'd like to open the console through the API. Note that this is very similar as how the current UI does it.

Technically I'd see it something like this:

The user calls PUT /api/hosts/:id/console

Foreman returns the following information

URL

Protocol (ws:// or ws:///)

Host (I think foreman should proxy itself, but this prepares it in case you want to split the proxy to its own host or if

you're behind a load balancer and need to connect to a specific foreman host)

Port

Display type (VNC or spice)

Password

This will allow me to build extra functionality in our own product, but tools like Hammer could use it as well.

Related issues:

Related to Foreman - Feature #4338: Show VNC Connection Information in Server... New 02/13/2014

Related to Foreman - Feature #33712: Console action should respond with json Ready For Testing

History

#1 - 11/28/2013 02:11 PM - Dominic Cleal

- Category set to API

#2 - 12/02/2013 12:24 PM - Lukas Zapletal

Hammer could even spawn remote-viewer program with the correct parameters!

#3 - 01/16/2014 06:14 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Assigned

- Assignee set to Ewoud Kohl van Wijngaarden

WIP PR on https://github.com/theforeman/foreman/pull/1163.

#4 - 02/13/2014 12:52 PM - Dominic Cleal

- Related to Feature #4338: Show VNC Connection Information in Server Console added

#5 - 09/15/2014 10:34 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 1.7.3

- Pull request https://github.com/theforeman/foreman/pull/1163 added
#6 - 09/30/2014 10:32 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#7 - 09/02/2015 04:48 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Ewoud Kohl van Wijngaarden)

- Target version deleted (1.7.2)

- Pull request  added

- Pull request deleted (https://github.com/theforeman/foreman/pull/1163)

#8 - 10/19/2021 10:26 AM - Ondřej Ezr

- Related to Feature #33712: Console action should respond with json added
